import * as React from 'react';
import { Paragraph } from '@megafon/ui-core';
import { cnCreate, convert, textConvertConfig } from '@megafon/ui-helpers';
import "./StepsItem.css";
var cn = cnCreate('mfui-9-steps-item');
var StepsItem = function StepsItem(_ref) {
  var index = _ref.index,
    text = _ref.text;
  return /*#__PURE__*/React.createElement("div", {
    className: cn()
  }, /*#__PURE__*/React.createElement("span", {
    className: cn('step-number')
  }, index), /*#__PURE__*/React.createElement("div", {
    className: cn('text-wrapper')
  }, typeof text === 'string' ? /*#__PURE__*/React.createElement(Paragraph, {
    hasMargin: false
  }, convert(text, textConvertConfig)) : /*#__PURE__*/React.createElement("div", {
    className: cn('nodes')
  }, text)));
};
export default StepsItem;